limits {ggplot2} | R Documentation

## Generate correct scale type for specified limits

### Description

Generate correct scale type for specified limits

### Usage

    limits(lims, var)

### Arguments

`var` | name of variable
`limits` | vector of limits

### Examples

    ggplot2:::limits(c(1, 5), "x")
    ggplot2:::limits(c(5, 1), "x")
    ggplot2:::limits(c("A", "b", "c"), "x")
    ggplot2:::limits(c("A", "b", "c"), "fill")
    ggplot2:::limits(as.Date(c("2008-01-01", "2009-01-01")), "x")

[Package ggplot2 version 2.1.0 Index]